import Component from '../component.js';
import DivComponent from '../div.js';
import CoEuiTreeListToolbar from './eui-tree-list-toolbar.js';

export default class CoEuiTreeList extends Component {

  constructor(parent) {
    let selector = 'eui-tree-list';
    super(parent, selector);
    //https://citnet.tech.ec.europa.eu/CITnet/stash/projects/CSDR/repos/eui/browse/packages/components/eui-tree-list/eui-tree-list.component.html
  }
  get toollbarCO(){
    return new CoEuiTreeListToolbar(this.currentPath);
  }
  async isShowToolbar(){
    return await (await this.toollbarCO.element()).isExisting();
  }
  get treeListCO(){
    return new DivComponent(this.currentPath).addPredicateClassContains('eui-tree-list');
  }
}


